@import "../variables";

.vertical_menu {
  .page {
    padding-top: $header;
  }
}
.horizontal_menu {
  .page {
    padding-top: $header * 2;
  }
}

.page {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
  flex-direction: column;
  min-height: 100vh;
  border-radius: 10px;
  background-color: $background-color;
  // padding-top: $header * 2;
  padding-top: $header; // For Vertical Menu
}

.HeaderSticky {
  position: fixed;
  width: 100%;
  z-index: 999;
  top: 0px;
}
@media (max-width: 767.98px) {
  .main-content.side-content {
    margin-left: 0px;
    min-height: calc(100vh - 112px);
  }
}

@media (min-width: 767.98px) {
  .main-content.side-content {
    margin-left: $sidebar-width;
    min-height: calc(100vh - 112px);
    transition: all 0.4s ease;
    padding: 5px 5px 0px 5px;
  }
  .main-content.side-content.closed {
    margin-left: 60px;
  }
}

.inner-body {
  // background-color: #fff;
  padding: 10px;
  // min-height: calc(100vh - $header * 2);
}
.vertical_menu {
  .inner-body {
    min-height: calc(100vh - $header - 10px);
  }
}
.horizontal_menu {
  .inner-body {
    min-height: calc(100vh - $header * 2);
  }
}
